<?php
echo '<form action="" method="get"><input type=hidden name=p value=crafts><select name="craft">';
$themeoptions=$crafts_array;
foreach($themeoptions as $themes){
	echo '<option value="'.$themes.'">'.$themes.'</option>';
}
echo '</select><input type="submit" value="View Crafts"></input></form>';					
?>